#32/64
Name:		chocolate-doom
Version:	2.3.0
Release:	%mkrel 1
Group:		Games/Arcade
Summary:	Historically compatible Doom engine
License:	GPLv2+
URL:		http://chocolate-doom.org/
Source0:	%{name}-%{version}.tar.xz
BuildRequires:	%{_lib}SDL-devel
BuildRequires:	%{_lib}SDL_mixer-devel
BuildRequires:	%{_lib}SDL_net-devel
BuildRequires:	%{_lib}samplerate-devel
BuildRequires:  %{_lib}png-devel
Requires:	chocolate-common
BuildRoot:	%{_tmppath}/%{name}-%{version}


%description
Chocolate Doom is a game engine that aims to accurately reproduce the
experience of playing vanilla Doom. It is a conservative, historically
accurate Doom source port, which is compatible with the thousands of mods
and levels that were made before the Doom source code was released. Rather
than flashy new graphics, Chocolate Doom's main features are its accurate
reproduction of the game as it was played in the 1990s.

The following games can be played:
- Doom (including the shareware and registered versions,
        and the Ultimate Doom expansion pack)
- Doom II
- Final Doom (TNT:Evilution, and the Plutonia Experiment)
- Chex Quest

Warning! Chocolate Doom needs to know where to find your IWAD file.
To do this, put the file into /usr/share/games/doom or read INSTALL
file in docs for other possibilities.

%files
%doc ChangeLog NEWS.md NOT-BUGS.md README.md INSTALL
%{_bindir}/chocolate-doom
%{_bindir}/chocolate-doom-setup
%{_datadir}/applications/chocolate-doom.desktop
%{_datadir}/applications/chocolate-doom-setup.desktop
%{_mandir}/man5/chocolate-doom.cfg.5.*
%{_mandir}/man6/chocolate-doom.6.*
%{_mandir}/man6/chocolate-doom-setup.6.*
/usr/share/appdata/*
 /usr/share/bash-completion/*

#----------------------------------------------------------------------------

%package -n chocolate-common
Summary:	Common files used by Chocolate engines
Group:		Games/Arcade

%description -n chocolate-common
Common files used by Chocolate engines.

%files -n chocolate-common
%{_bindir}/chocolate-server
%{_iconsdir}/chocolate-doom.png
%{_iconsdir}/chocolate-setup.png
%{_mandir}/man5/default.cfg.5.*
%{_mandir}/man6/chocolate-server.6.*
%{_mandir}/man6/chocolate-setup.6.*

#----------------------------------------------------------------------------

%package -n chocolate-heretic
Summary:	Historically compatible Heretic engine
Group:		Games/Arcade
Requires:	chocolate-common

%description -n chocolate-heretic
Chocolate Heretic is a game engine that aims to accurately reproduce the
experience of playing vanilla Heretic. It is a conservative, historically
accurate Heretic source port. Rather than flashy new graphics, Chocolate
Heretic's main features are its accurate reproduction of the game as it
was played in the 1990s.

Warning! Chocolate Heretic needs to know where to find your IWAD file.
To do this, put the file into /usr/share/games/doom or read INSTALL
file in docs for other possibilities.

%files -n chocolate-heretic
%{_bindir}/chocolate-heretic
%{_bindir}/chocolate-heretic-setup
%{_datadir}/applications/chocolate-heretic.desktop
%{_datadir}/applications/chocolate-heretic-setup.desktop
%{_defaultdocdir}/chocolate-heretic/
%{_mandir}/man5/chocolate-heretic.cfg.5.*
%{_mandir}/man5/heretic.cfg.5.*
%{_mandir}/man6/chocolate-heretic.6.*
%{_mandir}/man6/chocolate-heretic-setup.6.*

#----------------------------------------------------------------------------

%package -n chocolate-hexen
Summary:	Historically compatible Hexen engine
Group:		Games/Arcade
Requires:	chocolate-common

%description -n chocolate-hexen
Chocolate Hexen is a game engine that aims to accurately reproduce the
experience of playing vanilla Hexen. It is a conservative, historically
accurate Hexen source port. Rather than flashy new graphics, Chocolate
Hexen's main features are its accurate reproduction of the game as it
was played in the 1990s.

Warning! Chocolate Hexen needs to know where to find your IWAD file.
To do this, put the file into /usr/share/games/doom or read INSTALL
file in docs for other possibilities.

%files -n chocolate-hexen
%{_bindir}/chocolate-hexen
%{_bindir}/chocolate-hexen-setup
%{_datadir}/applications/chocolate-hexen.desktop
%{_datadir}/applications/chocolate-hexen-setup.desktop
%{_defaultdocdir}/chocolate-hexen/
%{_mandir}/man5/chocolate-hexen.cfg.5.*
%{_mandir}/man5/hexen.cfg.5.*
%{_mandir}/man6/chocolate-hexen.6.*
%{_mandir}/man6/chocolate-hexen-setup.6.*

#----------------------------------------------------------------------------

%package -n chocolate-strife
Summary:	Historically compatible Strife engine
Group:		Games/Arcade
Requires:	chocolate-common

%description -n chocolate-strife
Chocolate Strife is a game engine that aims to accurately reproduce the
experience of playing vanilla Strife. It is a conservative, historically
accurate Strife source port. Rather than flashy new graphics, Chocolate
Strife's main features are its accurate reproduction of the game as it
was played in the 1990s.

Warning! Chocolate Strife needs to know where to find your IWAD file.
To do this, put the file into /usr/share/games/doom or read INSTALL
file in docs for other possibilities.

%files -n chocolate-strife
%{_bindir}/chocolate-strife
%{_bindir}/chocolate-strife-setup
%{_datadir}/applications/chocolate-strife.desktop
%{_datadir}/applications/chocolate-strife-setup.desktop
%{_defaultdocdir}/chocolate-strife/
%{_mandir}/man5/chocolate-strife.cfg.5.*
%{_mandir}/man5/strife.cfg.5.*
%{_mandir}/man6/chocolate-strife.6.*
%{_mandir}/man6/chocolate-strife-setup.6.*

#----------------------------------------------------------------------------


%prep
%setup -q

%build
%configure2_5x
%make

%install

rm -rf $RPM_BUILD_ROOT

%makeinstall_std

rm -f %{buildroot}%{_datadir}/applications/screensavers/chocolate-doom-screensaver.desktop

#These suck, we don't like them
rm -f %{buildroot}%{_datadir}/applications/chocolate-doom.desktop
rm -f %{buildroot}%{_datadir}/applications/chocolate-heretic.desktop
rm -f %{buildroot}%{_datadir}/applications/chocolate-hexen.desktop
rm -f %{buildroot}%{_datadir}/applications/chocolate-setup.desktop
rm -f %{buildroot}%{_datadir}/applications/chocolate-strife.desktop

cat > %{buildroot}%{_datadir}/applications/chocolate-doom.desktop << EOF
[Desktop Entry]
Name=Chocolate Doom
Comment=Conservative Doom source port
Exec=chocolate-doom
Type=Application
Terminal=false
Icon=chocolate-doom
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

cat > %{buildroot}%{_datadir}/applications/chocolate-doom-setup.desktop << EOF
[Desktop Entry]
Name=Chocolate Doom Setup
Comment=Setup tool for Chocolate Doom
Exec=chocolate-doom-setup
Type=Application
Terminal=false
Icon=chocolate-setup
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

cat > %{buildroot}%{_datadir}/applications/chocolate-heretic.desktop << EOF
[Desktop Entry]
Name=Chocolate Heretic
Comment=Conservative Heretic source port
Exec=chocolate-heretic
Type=Application
Terminal=false
Icon=chocolate-doom
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

cat > %{buildroot}%{_datadir}/applications/chocolate-heretic-setup.desktop << EOF
[Desktop Entry]
Name=Chocolate Heretic Setup
Comment=Setup tool for Chocolate Heretic
Exec=chocolate-heretic-setup
Type=Application
Terminal=false
Icon=chocolate-setup
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

cat > %{buildroot}%{_datadir}/applications/chocolate-hexen.desktop << EOF
[Desktop Entry]
Name=Chocolate Hexen
Comment=Conservative Hexen source port
Exec=chocolate-hexen
Type=Application
Terminal=false
Icon=chocolate-doom
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

cat > %{buildroot}%{_datadir}/applications/chocolate-hexen-setup.desktop << EOF
[Desktop Entry]
Name=Chocolate Hexen Setup
Comment=Setup tool for Chocolate Hexen
Exec=chocolate-hexen-setup
Type=Application
Terminal=false
Icon=chocolate-setup
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

cat > %{buildroot}%{_datadir}/applications/chocolate-strife.desktop << EOF
[Desktop Entry]
Name=Chocolate Strife
Comment=Conservative Strife source port
Exec=chocolate-strife
Type=Application
Terminal=false
Icon=chocolate-doom
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

cat > %{buildroot}%{_datadir}/applications/chocolate-strife-setup.desktop << EOF
[Desktop Entry]
Name=Chocolate Strife Setup
Comment=Setup tool for Chocolate Strife
Exec=chocolate-strife-setup
Type=Application
Terminal=false
Icon=chocolate-setup
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF



%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Fri Mar 03 2017 Agent Smith  <ruidobranco@yahoo.com.br> 2.3.0-1pclos2017.src.rpm
- Updated the package chocolate-doom to latest sources, changed the location of executable, from $gamesbindir to $bindir

